Loading...
Searching...
No Matches
Magick::swirlImage Class Reference

## Public Member Functions

| swirlImage (const double degrees_)
void | operator() (Image &image_) const

## Private Attributes

double | _degrees

## Detailed Description

Definition at line 1147 of file STL.h.

## Constructor & Destructor Documentation

## swirlImage()

Magick::swirlImage::swirlImage | ( | const double | degrees_ | ) |

Definition at line 1068 of file STL.cpp.

: _degrees( degrees_ )
{
}

## Member Function Documentation

## operator()()

void Magick::swirlImage::operator() | ( | Magick::Image & | image_ | ) | const

Definition at line 1072 of file STL.cpp.

{
image_.swirl( _degrees );
}

## Field Documentation

## _degrees

double Magick::swirlImage::_degrees

private

Definition at line 1155 of file STL.h.

The documentation for this class was generated from the following files:

- STL.h
- STL.cpp